#
# spec file for package perl-SGML-DTDParse (Version 2.00)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           perl-SGML-DTDParse
Version:        2.00
Release:        1.1
License:         DTDParse may be copied only under the terms of either the Artistic License or the GNU General Public License, which may be found in the DTDParse distribution.
%define cpan_name SGML-DTDParse
Summary: Parse an SGML or XML DTD
Url:            http://search.cpan.org/dist/SGML-DTDParse/
Group:          Development/Libraries/Perl
Source:        http://www.cpan.org/authors/id/E/EH/EHOOD/SGML-DTDParse-%{version}.tar.gz
# Source:         SGML::DTDParse
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# BuildRequires: perl(Test::Pod) perl(Test::Pod::Coverage)
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(Text::DelimMatch) >= 1.05
BuildRequires:  perl(XML::DOM) >= 1.43
BuildRequires:  perl(XML::Parser) >= 2.25
Requires:       perl(Getopt::Long)
Requires:       perl(Text::DelimMatch) >= 1.05
Requires:       perl(XML::DOM) >= 1.43
Requires:       perl(XML::Parser) >= 2.25
%{perl_requires}

%description
The DTDParse collection is a set of Perl modules and scripts for
manipulating SGML an XML Document Type Definitions (DTDs). DTDParse is
designed primarily to aid in the understanding and documentation of DTDs.

Typical usage of this package is as follows:

* 1.

  Parse the DTD with dtdparse. This produces an XML representation of the
  DTD. This representation exposes both the logical structure of the DTD
  (the actual meta-structure of its grove) and the organizational structure
  of the DTD (the declarations and parameter entities) that comprise its
  textual form.

* 2.

  Manipulate the XML document produced by dtdparse to do whatever you want.
  DTDParse is shipped with several programs that demonstrate various
  capabilities, including *dtdformat* which can produce HTML or DocBook the
  http://www.oasis-open.org/docbook/ manpage RefEntry pages for each
  element and parameter entity in the DTD.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
export AUTOMATED_TESTING=1
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
export AUTOMATED_TESTING=1
%{__make} test

%install
%perl_make_install
find %buildroot/%_prefix -name *.bs -a -size 0 | xargs rm -f
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Artistic Changes COPYING README

%changelog
* Thu Jul 28 2011 jw@novell.com
- initial pull from CPAN with cpanspec_obs-0.9
* Thu Jul 28 2011 jw@novell.com
- initial package 2.00
  * created by cpanspec 1.78.04
